commit:     ec3ed15b6ca07e735c43274d430bc8774645ec8a
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 24 20:30:43 2025 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Thu Apr 24 20:30:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec3ed15b

sci-ml/cudnn-frontend: add 1.10.0

Closes: https://bugs.gentoo.org/947039
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 sci-ml/cudnn-frontend/Manifest                     |  1 +
 sci-ml/cudnn-frontend/cudnn-frontend-1.10.0.ebuild | 35 ++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/sci-ml/cudnn-frontend/Manifest b/sci-ml/cudnn-frontend/Manifest
index 64eb5f4be4dc..4f966b32d757 100644
--- a/sci-ml/cudnn-frontend/Manifest
+++ b/sci-ml/cudnn-frontend/Manifest
@@ -1,2 +1,3 @@
+DIST cudnn-frontend-1.10.0.tar.gz 662344 BLAKE2B 
f151a57afdf41c03829b67d9ecda0e78697b3cf8bd1d4fc460a0e1ece6f79ee4c8dcb9615f630f9fc0c8d44cd1f2de249ac260d6e1386d696fa09536e7e23258
 SHA512 
24df540fa3adb82d3632aa41f58e5c03da55d064f69e7f109668365995e189a4968c18881c6b4e9ed1a9bc3fa0347e9df01ae85aff2d7f330c0328ff56d27eab
 DIST cudnn-frontend-1.6.1.tar.gz 597869 BLAKE2B 
e2704fbc1e0a8ac2d2a4321fab23c2b01109a8aef81ad5ff3ceb9dbf7bfbc42749443ff257ad3af6c0d348f67d47c4f210402cb5faa22feb1d5d12a4242637f1
 SHA512 
078b4968b9eaa601cbf1e61547780bfe3155bc165b3c540a851ab19ac58df9b1fab3780fd37416aea7a072c12c9e2bca5ee03cb7a147c211aa6e431d7965e888
 DIST cudnn-frontend-1.8.0.tar.gz 631921 BLAKE2B 
148d2fc3726a74ab6707f29cdbcc5312a31463506443bb7505470bc208712e0d4a8e398ecf2f53361e08bbccc33f75a8ee139b07df7641902b1afd8fe9508472
 SHA512 
3bb46a39662a01d79e49d023c83dc7f05d0e70b8d17fa80ab66f17e8970eb0c8d2e96885b7cf79186eab9af977e1ad6aa7bcf86fa0f25b4b66d19bf5d72dce20

diff --git a/sci-ml/cudnn-frontend/cudnn-frontend-1.10.0.ebuild 
b/sci-ml/cudnn-frontend/cudnn-frontend-1.10.0.ebuild
new file mode 100644
index 000000000000..2e78b67750fa
--- /dev/null
+++ b/sci-ml/cudnn-frontend/cudnn-frontend-1.10.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit cmake
+
+DESCRIPTION="A c++ wrapper for the cudnn backend API"
+HOMEPAGE="https://github.com/NVIDIA/cudnn-frontend";
+SRC_URI="https://github.com/NVIDIA/cudnn-frontend/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/8"
+KEYWORDS="~amd64"
+
+RDEPEND="=dev-libs/cudnn-8*
+       dev-util/nvidia-cuda-toolkit"
+DEPEND="${RDEPEND}"
+
+IUSE="test"
+
+RESTRICT="test" # Fail in sandbox
+
+PATCHES=( "${FILESDIR}"/${PN}-1.8.0-gentoo.patch )
+
+src_configure() {
+       local mycmakeargs=(
+               -DCUDNN_FRONTEND_BUILD_TESTS=$(usex test)
+               -DCUDNN_FRONTEND_BUILD_SAMPLES=OFF
+       )
+       cmake_src_configure
+}
+
+src_test() {
+       "${BUILD_DIR}"/bin/tests || die
+}

Reply via email to